> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create broadcast field

> Create a new field for a broadcast.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json post /orgs/{org_id}/broadcasts/{broadcast_id}/fields
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
tags:
  - name: Inbox
  - name: Chats
  - name: Messages
  - name: Contacts
  - name: Custom channels
  - name: Segments
  - name: Suppressions
  - name: Assistants
  - name: Agents
  - name: Skills
  - name: Knowledge
  - name: AI
  - name: Broadcasts
  - name: Email sending
  - name: WhatsApp
  - name: WhatsApp Meta agent
  - name: Tables
  - name: Records
  - name: Views
  - name: Pages
  - name: Connections
  - name: Workspace
  - name: Sub-organizations
  - name: Analytics and logs
  - name: Workflows
paths:
  /orgs/{org_id}/broadcasts/{broadcast_id}/fields:
    post:
      tags:
        - Broadcasts
      summary: Create broadcast field
      description: Create a new field for a broadcast.
      parameters:
        - schema:
            type: string
          required: true
          description: Org ID
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: Broadcast ID
          name: broadcast_id
          in: path
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateBroadcastFieldSchema'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/CreateBroadcastFieldSchema'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BroadcastFieldSchema'
components:
  schemas:
    CreateBroadcastFieldSchema:
      type: object
      properties:
        key:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^[a-z][a-z0-9_]*$
          title: Key
          description: The variable key, e.g. discount_code.
        default_value:
          type: string
          maxLength: 2048
          title: Default Value
          description: Value used when a recipient has no specific entry.
      required:
        - key
        - default_value
      description: Schema for creating a broadcast field
    BroadcastFieldSchema:
      type: object
      properties:
        id:
          type: string
        broadcast_id:
          type: string
        key:
          type: string
        default_value:
          type:
            - string
            - 'null'
        created_at:
          type: string
          format: date-time
      required:
        - id
        - broadcast_id
        - key
        - default_value
        - created_at
      description: A broadcast field
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````